Bug 1344651 - tiering : Multiple brick processes crashed on tiered volume while taking snapshots
Summary: tiering : Multiple brick processes crashed on tiered volume while taking snap...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: tier
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: RHGS 3.2.0
Assignee: Avra Sengupta
QA Contact: Anil Shah
URL:
Whiteboard:
Depends On:
Blocks: 1344686 1346132 1346133 1351522
TreeView+ depends on / blocked
 
Reported: 2016-06-10 09:11 UTC by Anil Shah
Modified: 2017-03-23 05:35 UTC (History)
7 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1344686 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:35:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Anil Shah 2016-06-10 09:11:55 UTC
Description of problem:

While creating snapshot on tiered volume, seeing multiple bricks crashes. 


Version-Release number of selected component (if applicable):

glusterfs-3.7.9-9.el7rhgs.x86_64

How reproducible:

1/1

Steps to Reproduce:
1.
2.
3.

Actual results:



Expected results:


Additional info:

gdb logs :
============================
(gdb) bt
#0  0x00007fd60c9555f7 in raise () from /lib64/libc.so.6
#1  0x00007fd60c956ce8 in abort () from /lib64/libc.so.6
#2  0x00007fd60c995317 in __libc_message () from /lib64/libc.so.6
#3  0x00007fd60ca2dac7 in __fortify_fail () from /lib64/libc.so.6
#4  0x00007fd60ca2bc80 in __chk_fail () from /lib64/libc.so.6
#5  0x00007fd5fb9cceaf in ctr_lookup ()
   from /usr/lib64/glusterfs/3.7.9/xlator/features/changetimerecorder.so
#6  0x00007fd60e26dad8 in default_lookup () from /lib64/libglusterfs.so.0
#7  0x00007fd5faebb36b in br_stub_lookup ()
   from /usr/lib64/glusterfs/3.7.9/xlator/features/bitrot-stub.so
#8  0x00007fd5faca2c75 in posix_acl_lookup ()
   from /usr/lib64/glusterfs/3.7.9/xlator/features/access-control.so
#9  0x00007fd5faa8a667 in pl_lookup () from /usr/lib64/glusterfs/3.7.9/xlator/features/locks.so
#10 0x00007fd5fa8750bf in up_lookup () from /usr/lib64/glusterfs/3.7.9/xlator/features/upcall.so
#11 0x00007fd60e283976 in default_lookup_resume () from /lib64/libglusterfs.so.0
#12 0x00007fd60e2a33dd in call_resume () from /lib64/libglusterfs.so.0
#13 0x00007fd5fa664363 in iot_worker ()
   from /usr/lib64/glusterfs/3.7.9/xlator/performance/io-threads.so
#14 0x00007fd60d0cfdc5 in start_thread () from /lib64/libpthread.so.0
#15 0x00007fd60ca1621d in clone () from /lib64/libc.so.6

Comment 3 Anil Shah 2016-07-27 09:23:09 UTC
Create tiered volume. Touch file with file name more than 255 characters on the client.
All the volume bricks in the volume will crash.

Comment 5 Nithya Balachandran 2016-08-03 07:11:14 UTC
Targeting this BZ for 3.2.0.

Comment 7 Atin Mukherjee 2016-08-09 04:26:40 UTC
upstream 3.8 patch http://review.gluster.org/14721 is merged.

Comment 9 Atin Mukherjee 2016-09-17 13:37:20 UTC
Upstream mainline : http://review.gluster.org/14696
Upstream 3.8 : http://review.gluster.org/14721

And the fix is available in rhgs-3.2.0 as part of rebase to GlusterFS 3.8.4.

Comment 14 errata-xmlrpc 2017-03-23 05:35:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.